Atualizar conversa
curl --request PATCH \
--url https://api.jurichat.com/conversation/{conversationId} \
--header 'Content-Type: application/json' \
--header 'x-jurichat-api-key: <api-key>' \
--data '
{
"isFixed": true,
"tags": [
"<string>"
],
"departmentId": "<string>",
"agentId": "<string>",
"legalAreaId": "<string>"
}
'import requests
url = "https://api.jurichat.com/conversation/{conversationId}"
payload = {
"isFixed": True,
"tags": ["<string>"],
"departmentId": "<string>",
"agentId": "<string>",
"legalAreaId": "<string>"
}
headers = {
"x-jurichat-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-jurichat-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
isFixed: true,
tags: ['<string>'],
departmentId: '<string>',
agentId: '<string>',
legalAreaId: '<string>'
})
};
fetch('https://api.jurichat.com/conversation/{conversationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "<string>",
"statusCode": 123,
"details": "<unknown>"
}Conversations
Atualizar conversa
Atualização parcial: apenas os campos enviados são aplicados. Campos omitidos não são alterados.
PATCH
/
conversation
/
{conversationId}
Atualizar conversa
Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-jurichat-api-key.
Path Parameters
ID da conversa.
Pattern:
^[cC][^\s-]{8,}$Body
application/json
Quando verdadeiro, fixa a conversa na inbox. Quando falso, desafixa.
Nova prioridade da conversa.
Available options:
LOW, MEDIUM, HIGH IDs das tags. Substitui todas as tags atuais da conversa quando enviado.
ID do departamento responsável pela fila da conversa.
ID do agente de IA vinculado à conversa. Enviar null para remover o vínculo.
Pattern:
^[cC][^\s-]{8,}$ID da área jurídica vinculada à conversa. Enviar null para remover o vínculo.
Pattern:
^[cC][^\s-]{8,}$Response
Confirmação da operação.
Confirmação da operação.
⌘I